Module java.corba
Package org.omg.IOP.CodecPackage

## Class TypeMismatch

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.UserException
      - - org.omg.IOP.CodecPackage.TypeMismatch

- All Implemented Interfaces:
    `Serializable`, `IDLEntity`

      public final class TypeMismatch
      extends UserException

  org/omg/IOP/CodecPackage/TypeMismatch.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/java9-openjdk/src/jdk9u-jdk-9.0.4+11/corba/src/java.corba/share/classes/org/omg/PortableInterceptor/IOP.idl Saturday, February 3, 2018 2:12:28 PM UTC

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TypeMismatch​()` |
    `TypeMismatch​(String $reason)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### TypeMismatch

          public TypeMismatch​()

    - #### TypeMismatch

          public TypeMismatch​(String $reason)